@echo off

REM ===========================================================================
REM ===========================================================================
REM THIS BATCHFILE WILL AUTOMATICALLY BUILD THE TI92P VERSION AND COPIES IT TO
REM THE TI92P DIRECTORY
REM $Id: build92p.bat,v 1.13 2004/08/06 13:47:58 DEBROUX Lionel Exp $
REM ===========================================================================
REM ===========================================================================

if "%1" == "" goto :help

echo --------------------------------------------
echo building TICHESS - %1 TI92P/V200 version ...
echo --------------------------------------------
REM -ftracer is terrible size-wise
tigcc -DUSE_TI92P -DUSE_V200 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings logo.c
tigcc -DUSE_TI92P -DUSE_V200 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings generic.c
tigcc -DUSE_TI92P -DUSE_V200 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings bg_ti92.c
tigcc -DUSE_TI92P -DUSE_V200 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings input.c
tigcc -DUSE_TI92P -DUSE_V200 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings interrupt.c
tigcc -DUSE_TI92P -DUSE_V200 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings board.c
tigcc -DUSE_TI92P -DUSE_V200 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings loadsave.c
tigcc -DUSE_TI92P -DUSE_V200 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings infoboards.c
tigcc -DUSE_TI92P -DUSE_V200 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings menu.c
tigcc -DUSE_TI92P -DUSE_V200 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -O2 -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings gui.c
tigcc -DUSE_TI92P -DUSE_V200 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -O3 -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings engine.c
tigcc -DUSE_TI92P -DUSE_V200 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -c -Wall -W -Wwrite-strings clocks.c
REM dir *.o
tigcc -DUSE_TI92P -DUSE_V200 -DCOMPRESSED_FORMAT_RELOCS -DLANG_%1 -Os -fno-if-conversion -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wall -W -Wwrite-strings tichess.c logo.o generic.o bg_ti92.o interrupt.o input.o menu.o gui.o engine.o clocks.o board.o loadsave.o infoboards.o -o ticstart -pack tichess
copy ticstart.9xy tichess.9xy
copy ticstart.v2y tichess.v2y
ttsetname -quiet -folder tict -name tichess tichess.9xy
ttsetname -quiet -folder tict -name tichess tichess.v2y
copy ticstart.9xz ..\bin92p\%1\ticstart.9xz
copy ticstart.v2z ..\bin92p\%1\ticstart.v2z
copy tichess.9xy ..\bin92p\%1\tichess.9xy
copy tichess.v2y ..\bin92p\%1\tichess.v2y
del *.9xy
del *.v2y
del *.o
del ticstart.9xz
del ticstart.v2z

goto :end
:help
echo ***********************************************************
echo * ERROR: NO LANGUAGE SPECIFIED ....
echo ***********************************************************
echo - [USAGE] build92p.bat language
echo -
echo - language = english, german, french, spanish
echo -
:end

@echo on
